﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Collections.ObjectModel;
using Telerik.Windows.Controls;

namespace ListBoxAndRadContextMenu
{
    public partial class ChildWindow1 : ChildWindow
    {
        private ObservableCollection<MyListBoxItem> items = new ObservableCollection<MyListBoxItem>();
        private string output;

        public ChildWindow1()
        {
            InitializeComponent();
            items.Add(new MyListBoxItem() { Name = "first" });
            items.Add(new MyListBoxItem() { Name = "second" });
            items.Add(new MyListBoxItem() { Name = "third" });
            items.Add(new MyListBoxItem() { Name = "fourth" });

            this.whatfirstAttributeList.ItemsSource = items;
        }

        private void OKButton_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = true;
        }

        private void CancelButton_Click(object sender, RoutedEventArgs e)
        {
            this.DialogResult = false;
        }

        private void ContextMenu_ItemClick(object sender, Telerik.Windows.RadRoutedEventArgs e)
        {
            this.selectedItemTxt.Text = output + " " + ((RadMenuItem)e.OriginalSource).Header.ToString();
            this.output = "";
        }
        private void ContextMenu_Opened(object sender, RoutedEventArgs e)
        {
            var clickedElement = this.ContextMenu.GetClickedElement<System.Windows.Controls.ListBoxItem>();

            if (clickedElement == null)
            {
                ((RadContextMenu)sender).IsOpen = false;
                this.selectedItemTxt.Text = "";
            }
            else
            {
                this.output = ((MyListBoxItem)clickedElement.Content).Name;
            }
        }
    }
}

